%global momorel 1
%global enable_debug 1
%global nilfs_name nilfs-utils-2.0.0-testing-9

%global _sbindir /sbin

%global optflags %(echo %{optflags}|sed 's/-fstack-protector//')

Name: nilfs-utils
Version: 2.0.0
Release: 0.9.%{momorel}m%{?dist}
Summary: Utilities for NILFS filesystems
License: GPL
Group: System Environment/Base
URL: http://www.nilfs.org/
Source0: http://www.nilfs.org/download/%{nilfs_name}.tar.bz2 
NoSource: 0
Patch0: nilfs-utils-2.0.0-testing-2-no_ldconfig.patch
BuildPreReq: readline-devel >= 5.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Utilities for manipulating NILFS filesystems.

%package devel
Summary: Development libraries and headers for developing nilfs tools.
Group: Development/Libraries

%description devel
Development libraries and headers for developing nilfs tools.

%prep
%setup -q -n %{nilfs_name}

%patch0 -p1 -b .no_ldconfig

%build
%configure \
%if %{enable_debug}
        --enable-debug \
%else
        --disable-debug \
%endif
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
%{_bindir}/chcp
%{_bindir}/dumpseg
%{_bindir}/lscp
%{_bindir}/lssu
%{_bindir}/mkcp
%{_bindir}/rmcp
%{_libdir}/libnilfs.so.0*
%{_sbindir}/mkfs.nilfs2
%{_sbindir}/mount.nilfs2
%{_sbindir}/nilfs_cleanerd
%{_sbindir}/umount.nilfs2
%{_sysconfdir}/nilfs_cleanerd.conf

%files devel
%defattr(-,root,root)
%{_includedir}/nilfs.h
%{_includedir}/nilfs_fs.h
%{_libdir}/libnilfs.a
%{_libdir}/libnilfs.so

%changelog
* Sat Feb 16 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-0.9.1m)
- update 2.0.0-test9

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-0.8.2m)
- %%NoSource -> NoSource

* Wed Jan  3 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-0.8.1m)
- update 2.0.0-test8

* Sun Dec 30 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.0-0.7.3m)
- re-replaced Source...

* Thu Dec  6 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-0.7.2m)
- replaced Source...

* Fri Nov 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-0.7.1m)
- update 2.0.0-test7

* Wed Nov  7 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-0.6.1m)
- update 2.0.0-test6

* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-0.3.1m)
- update 2.0.0-test3

* Wed Jul  4 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-0.2.1m)
- Initial Commit
